Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.shared_orchestra.renderkit.html
Class HtmlRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.shared_orchestra.renderkit.html.HtmlRenderer

Direct Known Subclasses:
  HtmlButtonRendererBase, HtmlCheckboxRendererBase, HtmlFormRendererBase, HtmlGridRendererBase, HtmlGroupRendererBase, HtmlImageRendererBase, HtmlLinkRendererBase, HtmlListboxRendererBase, HtmlMenuRendererBase, HtmlMessageRendererBase, HtmlRadioRendererBase, HtmlSecretRendererBase, HtmlTableRendererBase, HtmlTextareaRendererBase, HtmlTextRendererBase

    public abstract class HtmlRenderer

extends javax.faces.render.Renderer

Version:
  $Revision: 472618 $ $Date: 2006-11-08 21:06:54 +0100 (Mi, 08 Nov 2006) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`HtmlRenderer()`

Method Summary
`protected java.lang.String` | `getActionUrl(javax.faces.context.FacesContext facesContext)`
`int` | `getChildCount(javax.faces.component.UIComponent component)` Return the number of children of the specified component.
`java.util.List` | `getChildren(javax.faces.component.UIComponent component)` Return the list of children of the specified component.
`protected java.lang.String` | `getClientId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Returns the client ID that should be used for rendering (if `shouldRenderId(javax.faces.context.FacesContext, javax.faces.component.UIComponent)` returns true).
`protected void` | `renderId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Renders the client ID as an "id".
`protected boolean` | `shouldRenderId(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Returns true if the component should render an ID.
`static java.lang.String` | `toUri(java.lang.Object o)` Coerces an object into a URI, accounting for JSF rules with initial slashes.

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlRenderer

    public HtmlRenderer()

Method Detail

### getChildren

    public java.util.List getChildren(javax.faces.component.UIComponent component)

  Return the list of children of the specified component.

  This default implementation simply returns component.getChildren(). However this method should always be used in order to allow renderer subclasses to override it and provide filtered or reordered views of the component children to rendering methods defined in their ancestor classes.

  Any method that overrides this to "hide" child components should also override the getChildCount method.

  Returns:
    a list of UIComponent objects.

### getChildCount

    public int getChildCount(javax.faces.component.UIComponent component)

  Return the number of children of the specified component.

  See `getChildren(UIComponent)` for more information.

### getActionUrl

    protected java.lang.String getActionUrl(javax.faces.context.FacesContext facesContext)

  Parameters:
    `facesContext` -
  Returns:
    String A String representing the action URL

### renderId

    protected void renderId(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Renders the client ID as an "id".

  Throws:
    `java.io.IOException`

### getClientId

    protected java.lang.String getClientId(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)

  Returns the client ID that should be used for rendering (if `shouldRenderId(javax.faces.context.FacesContext, javax.faces.component.UIComponent)` returns true).

### shouldRenderId

    protected boolean shouldRenderId(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)

  Returns true if the component should render an ID. Components that deliver events should always return "true".

### toUri

    public static java.lang.String toUri(java.lang.Object o)

  Coerces an object into a URI, accounting for JSF rules with initial slashes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.